<template>
  <header class="header">
    <div class="header__left-content">
      <img src="@/assets/logo.svg" alt="">
      <span class="company-name">ALTCOINS HUB</span>
    </div>
    <div class="header__right-content">
      <div class="currency-selector">
        USD
      </div>

      <router-link class="login-link" to="/login">
        Log in
      </router-link>

      <router-link class="register-link" to="/register">
        Sign in
      </router-link>

      <img class="circle-image" src="@/assets/images/headphones.svg" alt="">
      <img class="circle-image" src="@/assets/images/flags/UK.svg" alt="">
    </div>
  </header>
</template>

<script>
export default {
  name: "AppHeader"
}
</script>

<style scoped>
.header {
  height: 70px;
  background: #101023;

  box-sizing: border-box;
  padding: 5px 15px;

  display: flex;
  justify-content: space-between;
}

.header__left-content {
  display: flex;
  align-items: center;
}

.header__right-content {
  display: grid;
  column-gap: 30px;
  grid-template-columns: repeat(5, auto);

  align-items: center;
  justify-items: center;
}

.company-name {
  margin-left: 25px;

  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 24px;
  line-height: 29px;

  color: #FFFFFF;
}

.currency-selector {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;
  display: flex;
  align-items: center;
  text-align: center;

  color: #818B99;
}

.login-link {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;

  color: #FFFFFF;
}

.register-link {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;

  color: #FFD700;

  background: #101023;
  border: 1px solid #FFD700;
  box-sizing: border-box;
  border-radius: 5px;

  padding: 10px 33px;
}

.circle-image {
  width: 24px;
  height: 24px;

  border-radius: 50%;

  border: 2px solid #FFFFFF;
  box-sizing: border-box;
}
</style>